stages:
  - everything

real-from-ideal:
  stage: everything
  script:
    - ./examples/01_real-from-ideal.sh
  tags:
    - slurm.meteo.physik.lmu.de
  variables:
    SRUN_OPTIONS: "--time 04:00:00 --mem 18G -n 4 -c 2"

  artifacts:
    name: real-from-ideal-logs
    when: always
    paths:
      - ./autosubmit/**/tmp
    expire_in: 7 days

real-from-ideal-psp:
  stage: everything
  script:
    - ./examples/01_real-from-ideal+psp.sh
  tags:
    - slurm.meteo.physik.lmu.de
  variables:
    SRUN_OPTIONS: "--time 04:00:00 --mem 18G -n 4 -c 2"

  artifacts:
    name: real-from-ideal+psp-logs
    when: always
    paths:
      - ./autosubmit/**/tmp
    expire_in: 7 days

real-from-dwd-ana:
  stage: everything
  script:
    - ./examples/02_real-from-dwd-ana.sh
  tags:
    - slurm.meteo.physik.lmu.de
  variables:
    SRUN_OPTIONS: "--time 04:00:00 --mem 64G -n 16 -c 2"

  artifacts:
    name: real-from-dwd-ana-logs
    when: always
    paths:
      - ./autosubmit/**/tmp
    expire_in: 7 days